Bug 4818 - Support Tatar keyboard layout
Support Tatar keyboard layout
Status: RESOLVED FIXED
Product: xkeyboard-config
Classification: Unclassified
Component: General
unspecified
Other other
: high normal
Assigned To: xkb
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-20 00:20 UTC by Valery Inozemtsev
Modified: 2005-12-30 18:14 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
patch (158.73 KB, patch)
2005-10-20 00:21 UTC, Valery Inozemtsev
Details | Splinter Review
ru_tt (3.88 KB, patch)
2005-12-30 16:57 UTC, Valery Inozemtsev
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Valery Inozemtsev 2005-10-20 00:20:17 UTC
Attached is the diff against 6.8.99.900
Comment 1 Valery Inozemtsev 2005-10-20 00:21:28 UTC
Created attachment 3589 [details] [review]
patch
Comment 2 Sergey V. Udaltsov 2005-10-20 07:45:55 UTC
Well, I'll commit what I can - but .po file has to be submitted separately. I
never directly modify .xml file.
Comment 3 Simos Xenitellis 2005-11-15 03:34:25 UTC
Valery, 
Have a look at
http://www.livejournal.com/community/xkbconfig/1030.html
about the translations revelant to xkeyboard-config.

You can use poEdit (www.poedit.org) or KBabel as tools to translate the
xkeyboard-config file to Tatar.

Documentation on localisation:
http://www.iosn.net/l10n/foss-localization-primer/
http://www.iosn.net/l10n/localization-guide/
Comment 4 Sergey V. Udaltsov 2005-12-30 13:37:29 UTC
Valery, would it be a big offence if I make it ru(tt) - since we are doing it on
per-country basis?
Comment 5 Valery Inozemtsev 2005-12-30 16:57:15 UTC
Created attachment 4197 [details] [review]
ru_tt
Comment 6 Sergey V. Udaltsov 2005-12-31 13:14:28 UTC
committed. Thanks a lot (since I am half-tatar;)